@structured-id/ui-core 2.0.0 → 3.0.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (152) hide show
  1. package/README.md +22 -10
  2. package/package.json +25 -43
  3. package/src/components/SidStatusBadge.vue +1 -5
  4. package/src/composables/useAccountTransport.test.ts +2 -1
  5. package/src/composables/useGrpc.test.ts +17 -14
  6. package/src/composables/useGrpc.ts +4 -2
  7. package/src/index.ts +2 -120
  8. package/src/profile/components/ConsentManager.vue +5 -1
  9. package/src/profile/components/ProfileEditor.vue +1 -1
  10. package/src/profile/components/SecuritySettings.vue +5 -1
  11. package/src/profile/components/SessionList.vue +2 -1
  12. package/src/profile/components/SidRegistrationForm.test.ts +173 -1
  13. package/src/profile/components/SidRegistrationForm.vue +88 -32
  14. package/src/profile/components/index.ts +1 -4
  15. package/src/profile/composables/index.ts +1 -0
  16. package/src/profile/composables/operationPlan.test.ts +155 -0
  17. package/src/profile/composables/operationPlan.ts +218 -0
  18. package/src/profile/composables/useAccountApi.ts +4 -4
  19. package/src/profile/composables/useAuth.test.ts +312 -31
  20. package/src/profile/composables/useAuth.ts +176 -30
  21. package/src/profile/composables/useAuthApi.opaque.test.ts +13 -6
  22. package/src/profile/composables/useAuthApi.ts +40 -18
  23. package/src/profile/composables/useCurrentPasswordRequirement.test.ts +196 -0
  24. package/src/profile/composables/useCurrentPasswordRequirement.ts +95 -0
  25. package/src/profile/composables/useEnrollmentApi.test.ts +7 -3
  26. package/src/profile/composables/useEnrollmentApi.ts +3 -5
  27. package/src/profile/composables/useIdentityApi.ts +4 -4
  28. package/src/profile/composables/useSecurityLevel.test.ts +1 -1
  29. package/src/profile/composables/useSecurityLevel.ts +1 -1
  30. package/src/quasar/SidPasswordCeremony.test.ts +253 -0
  31. package/src/quasar/SidPasswordCeremony.vue +456 -0
  32. package/src/quasar/index.ts +2 -0
  33. package/src/utils/rpcRefusal.test.ts +4 -4
  34. package/src/utils/rpcRefusal.ts +8 -4
  35. package/dist/browser-vp/index.cjs +0 -349
  36. package/dist/browser-vp/index.d.cts +0 -276
  37. package/dist/browser-vp/index.d.ts +0 -276
  38. package/dist/browser-vp/index.js +0 -349
  39. package/dist/chunk-C3Q766CY.cjs +0 -125
  40. package/dist/chunk-J5YXRXB5.js +0 -125
  41. package/dist/index.cjs +0 -23581
  42. package/dist/index.d.cts +0 -11539
  43. package/dist/index.d.ts +0 -11539
  44. package/dist/index.js +0 -23581
  45. package/dist/storage-4CB2JTLW.cjs +0 -22
  46. package/dist/storage-THRWREZP.js +0 -22
  47. package/src/browser-vp/crypto.ts +0 -253
  48. package/src/browser-vp/index.test.ts +0 -10
  49. package/src/browser-vp/index.ts +0 -116
  50. package/src/browser-vp/prf.ts +0 -179
  51. package/src/browser-vp/storage.test.ts +0 -9
  52. package/src/browser-vp/storage.ts +0 -163
  53. package/src/browser-vp/types.ts +0 -95
  54. package/src/browser-vp/vp.test.ts +0 -43
  55. package/src/browser-vp/vp.ts +0 -111
  56. package/src/generated/google/api/http.ts +0 -687
  57. package/src/generated/google/api/httpbody.ts +0 -159
  58. package/src/generated/google/protobuf/any.ts +0 -326
  59. package/src/generated/google/protobuf/descriptor.ts +0 -4865
  60. package/src/generated/google/protobuf/duration.ts +0 -230
  61. package/src/generated/google/protobuf/empty.ts +0 -94
  62. package/src/generated/google/protobuf/struct.ts +0 -484
  63. package/src/generated/google/protobuf/timestamp.ts +0 -287
  64. package/src/generated/google/rpc/error_details.ts +0 -1386
  65. package/src/generated/google/rpc/status.ts +0 -127
  66. package/src/generated/sid/v1/account/account.client.ts +0 -527
  67. package/src/generated/sid/v1/account/account.ts +0 -3261
  68. package/src/generated/sid/v1/admin/admin.client.ts +0 -139
  69. package/src/generated/sid/v1/admin/admin.ts +0 -781
  70. package/src/generated/sid/v1/admin/admin_roles.client.ts +0 -181
  71. package/src/generated/sid/v1/admin/admin_roles.ts +0 -1606
  72. package/src/generated/sid/v1/admin/analytics.client.ts +0 -106
  73. package/src/generated/sid/v1/admin/analytics.ts +0 -1017
  74. package/src/generated/sid/v1/admin/branding.client.ts +0 -166
  75. package/src/generated/sid/v1/admin/branding.ts +0 -1906
  76. package/src/generated/sid/v1/admin/enrollment.client.ts +0 -177
  77. package/src/generated/sid/v1/admin/enrollment.ts +0 -1766
  78. package/src/generated/sid/v1/admin/events.client.ts +0 -195
  79. package/src/generated/sid/v1/admin/events.ts +0 -1900
  80. package/src/generated/sid/v1/admin/flow.client.ts +0 -183
  81. package/src/generated/sid/v1/admin/flow.ts +0 -1552
  82. package/src/generated/sid/v1/admin/keys.client.ts +0 -107
  83. package/src/generated/sid/v1/admin/keys.ts +0 -931
  84. package/src/generated/sid/v1/admin/login_experience.client.ts +0 -160
  85. package/src/generated/sid/v1/admin/login_experience.ts +0 -1061
  86. package/src/generated/sid/v1/admin/migration.client.ts +0 -127
  87. package/src/generated/sid/v1/admin/migration.ts +0 -1948
  88. package/src/generated/sid/v1/admin/notifications.client.ts +0 -134
  89. package/src/generated/sid/v1/admin/notifications.ts +0 -1273
  90. package/src/generated/sid/v1/admin/operations.client.ts +0 -241
  91. package/src/generated/sid/v1/admin/operations.ts +0 -2633
  92. package/src/generated/sid/v1/admin/organizations.client.ts +0 -57
  93. package/src/generated/sid/v1/admin/organizations.ts +0 -332
  94. package/src/generated/sid/v1/admin/provisioning.client.ts +0 -232
  95. package/src/generated/sid/v1/admin/provisioning.ts +0 -1383
  96. package/src/generated/sid/v1/admin/scopes.client.ts +0 -171
  97. package/src/generated/sid/v1/admin/scopes.ts +0 -1324
  98. package/src/generated/sid/v1/admin/security.client.ts +0 -410
  99. package/src/generated/sid/v1/admin/security.ts +0 -4077
  100. package/src/generated/sid/v1/admin/sessions.client.ts +0 -114
  101. package/src/generated/sid/v1/admin/sessions.ts +0 -923
  102. package/src/generated/sid/v1/admin/settings.client.ts +0 -351
  103. package/src/generated/sid/v1/admin/settings.ts +0 -2458
  104. package/src/generated/sid/v1/admin/user_profile.client.ts +0 -57
  105. package/src/generated/sid/v1/admin/user_profile.ts +0 -730
  106. package/src/generated/sid/v1/admin/webhooks.client.ts +0 -269
  107. package/src/generated/sid/v1/admin/webhooks.ts +0 -2804
  108. package/src/generated/sid/v1/attestation/attestation.client.ts +0 -115
  109. package/src/generated/sid/v1/attestation/attestation.ts +0 -813
  110. package/src/generated/sid/v1/authn/auth.client.ts +0 -943
  111. package/src/generated/sid/v1/authn/auth.ts +0 -9719
  112. package/src/generated/sid/v1/authn/flows.client.ts +0 -413
  113. package/src/generated/sid/v1/authn/flows.ts +0 -3205
  114. package/src/generated/sid/v1/authn/issuer.client.ts +0 -489
  115. package/src/generated/sid/v1/authn/issuer.ts +0 -1600
  116. package/src/generated/sid/v1/authn/password_history.client.ts +0 -57
  117. package/src/generated/sid/v1/authn/password_history.ts +0 -578
  118. package/src/generated/sid/v1/authn/system_integration.client.ts +0 -73
  119. package/src/generated/sid/v1/authn/system_integration.ts +0 -218
  120. package/src/generated/sid/v1/authz/authz.client.ts +0 -459
  121. package/src/generated/sid/v1/authz/authz.ts +0 -6524
  122. package/src/generated/sid/v1/authz/forward_auth.client.ts +0 -97
  123. package/src/generated/sid/v1/authz/forward_auth.ts +0 -79
  124. package/src/generated/sid/v1/authz/governance.client.ts +0 -102
  125. package/src/generated/sid/v1/authz/governance.ts +0 -875
  126. package/src/generated/sid/v1/common/errors.ts +0 -710
  127. package/src/generated/sid/v1/common/pagination.ts +0 -152
  128. package/src/generated/sid/v1/common/transport.ts +0 -227
  129. package/src/generated/sid/v1/common/types.ts +0 -151
  130. package/src/generated/sid/v1/events/event_stream.client.ts +0 -67
  131. package/src/generated/sid/v1/events/event_stream.ts +0 -375
  132. package/src/generated/sid/v1/federation/upstream.client.ts +0 -142
  133. package/src/generated/sid/v1/federation/upstream.ts +0 -1736
  134. package/src/generated/sid/v1/identity/identity.client.ts +0 -467
  135. package/src/generated/sid/v1/identity/identity.ts +0 -5676
  136. package/src/generated/sid/v1/ids/ids.ts +0 -395
  137. package/src/generated/sid/v1/machine/machine_user.client.ts +0 -219
  138. package/src/generated/sid/v1/machine/machine_user.ts +0 -2364
  139. package/src/generated/sid/v1/machine/pat.client.ts +0 -130
  140. package/src/generated/sid/v1/machine/pat.ts +0 -1083
  141. package/src/generated/sid/v1/projects/projects.client.ts +0 -404
  142. package/src/generated/sid/v1/projects/projects.ts +0 -4446
  143. package/src/generated/sid/v1/scim/scim.client.ts +0 -520
  144. package/src/generated/sid/v1/scim/scim.ts +0 -3182
  145. package/src/generated/sid/v1/test/test.client.ts +0 -232
  146. package/src/generated/sid/v1/test/test.ts +0 -1136
  147. package/src/transport/adaptive.test.ts +0 -728
  148. package/src/transport/adaptive.ts +0 -308
  149. package/src/transport/framing.test.ts +0 -227
  150. package/src/transport/framing.ts +0 -98
  151. package/src/transport/webtransport.test.ts +0 -728
  152. package/src/transport/webtransport.ts +0 -323
@@ -1,1600 +0,0 @@
1
- // @generated by protobuf-ts 2.11.1 with parameter client_generic,generate_dependencies
2
- // @generated from protobuf file "sid/v1/authn/issuer.proto" (package "sid.v1.authn", syntax proto3)
3
- // tslint:disable
4
- import { OAuth2AuthorizeRequest } from "./auth";
5
- import { ServiceType } from "@protobuf-ts/runtime-rpc";
6
- import type { BinaryWriteOptions } from "@protobuf-ts/runtime";
7
- import type { IBinaryWriter } from "@protobuf-ts/runtime";
8
- import { WireType } from "@protobuf-ts/runtime";
9
- import type { BinaryReadOptions } from "@protobuf-ts/runtime";
10
- import type { IBinaryReader } from "@protobuf-ts/runtime";
11
- import { UnknownFieldHandler } from "@protobuf-ts/runtime";
12
- import type { PartialMessage } from "@protobuf-ts/runtime";
13
- import { reflectionMergePartial } from "@protobuf-ts/runtime";
14
- import { MessageType } from "@protobuf-ts/runtime";
15
- import { ResourceId } from "../ids/ids";
16
- import { HttpBody } from "../../../google/api/httpbody";
17
- /**
18
- * A request to one registered client's management endpoint (RFC 7592) in its
19
- * HTTP form.
20
- *
21
- * @generated from protobuf message sid.v1.authn.RegistrationRequest
22
- */
23
- export interface RegistrationRequest {
24
- /**
25
- * The opaque issuer handle: the `<handle>` path segment of the issuer URL
26
- * `https://<host>/i/<handle>`. 32 lowercase hex characters.
27
- *
28
- * @generated from protobuf field: string issuer_handle = 1
29
- */
30
- issuerHandle: string;
31
- /**
32
- * The client being managed, the last segment of its
33
- * `registration_client_uri` (RFC 7592 §3).
34
- *
35
- * @generated from protobuf field: string client_id = 2
36
- */
37
- clientId: string;
38
- /**
39
- * The HTTP request body with its `Content-Type`: `application/json` client
40
- * metadata for an update (RFC 7592 §2.2); absent for read and delete.
41
- *
42
- * @generated from protobuf field: google.api.HttpBody body = 3
43
- */
44
- body?: HttpBody;
45
- }
46
- /**
47
- * A logout request of a relying party (OIDC RP-Initiated Logout 1.0 §2) at
48
- * one issuer's end-session endpoint.
49
- *
50
- * @generated from protobuf message sid.v1.authn.EndSessionRequest
51
- */
52
- export interface EndSessionRequest {
53
- /**
54
- * The opaque issuer handle: the `<handle>` path segment of the issuer URL
55
- * `https://<host>/i/<handle>`. 32 lowercase hex characters.
56
- *
57
- * @generated from protobuf field: string issuer_handle = 1
58
- */
59
- issuerHandle: string;
60
- /**
61
- * An ID token this issuer gave the relying party, naming the application
62
- * session (`sid`) and the client (`aud`) that asks to log out. Accepted
63
- * expired (§2); one of another issuer, or not an ID token, is ignored.
64
- *
65
- * @generated from protobuf field: optional string id_token_hint = 2
66
- */
67
- idTokenHint?: string;
68
- /**
69
- * The relying party's client identifier. With `id_token_hint`, it must be
70
- * the hint's audience or the hint is ignored.
71
- *
72
- * @generated from protobuf field: optional string client_id = 3
73
- */
74
- clientId?: string;
75
- /**
76
- * Where to send the browser after logout (§3). Followed only when a valid
77
- * `id_token_hint` names the client and the URI exactly matches one the
78
- * client registered; otherwise the answer is a page.
79
- *
80
- * @generated from protobuf field: optional string post_logout_redirect_uri = 4
81
- */
82
- postLogoutRedirectUri?: string;
83
- /**
84
- * Opaque value of the relying party, added to the post-logout redirect as
85
- * `state` (§3).
86
- *
87
- * @generated from protobuf field: optional string state = 5
88
- */
89
- state?: string;
90
- }
91
- /**
92
- * An OAuth request to one issuer's endpoint in its HTTP form.
93
- *
94
- * @generated from protobuf message sid.v1.authn.ProtocolRequest
95
- */
96
- export interface ProtocolRequest {
97
- /**
98
- * The opaque issuer handle: the `<handle>` path segment of the issuer URL
99
- * `https://<host>/i/<handle>`. 32 lowercase hex characters.
100
- *
101
- * @generated from protobuf field: string issuer_handle = 1
102
- */
103
- issuerHandle: string;
104
- /**
105
- * The HTTP request body as the client sent it, with its `Content-Type`;
106
- * absent for a request without one (a GET). The endpoints read
107
- * `application/x-www-form-urlencoded` (RFC 6749 §3.2) and refuse any other
108
- * type as `invalid_request`.
109
- *
110
- * @generated from protobuf field: google.api.HttpBody body = 2
111
- */
112
- body?: HttpBody;
113
- }
114
- /**
115
- * Claims about the authenticated user (OIDC Core 1.0 §5.3.2). A claim the
116
- * token's scopes do not grant, or the user does not have, is absent rather
117
- * than empty (OIDC Core 1.0 §5.3.2).
118
- *
119
- * @generated from protobuf message sid.v1.authn.UserInfo
120
- */
121
- export interface UserInfo {
122
- /**
123
- * The subject, identical to the `sub` of the ID token this issuer gave the
124
- * same client (OIDC Core 1.0 §5.3.2).
125
- *
126
- * @generated from protobuf field: string sub = 1
127
- */
128
- sub: string;
129
- /**
130
- * Full display name (`profile` scope).
131
- *
132
- * @generated from protobuf field: optional string name = 2
133
- */
134
- name?: string;
135
- /**
136
- * Given name(s) (`profile` scope).
137
- *
138
- * @generated from protobuf field: optional string given_name = 3 [json_name = "given_name"]
139
- */
140
- givenName?: string;
141
- /**
142
- * Surname(s) (`profile` scope).
143
- *
144
- * @generated from protobuf field: optional string family_name = 4 [json_name = "family_name"]
145
- */
146
- familyName?: string;
147
- /**
148
- * Middle name(s) (`profile` scope).
149
- *
150
- * @generated from protobuf field: optional string middle_name = 5 [json_name = "middle_name"]
151
- */
152
- middleName?: string;
153
- /**
154
- * Shorthand name the user chose (`profile` scope).
155
- *
156
- * @generated from protobuf field: optional string preferred_username = 6 [json_name = "preferred_username"]
157
- */
158
- preferredUsername?: string;
159
- /**
160
- * When the profile information last changed, seconds since the Unix epoch
161
- * (`profile` scope). A JSON number (OIDC Core 1.0 §5.1).
162
- *
163
- * @generated from protobuf field: optional uint32 updated_at = 7 [json_name = "updated_at"]
164
- */
165
- updatedAt?: number;
166
- /**
167
- * Primary email address (`email` scope).
168
- *
169
- * @generated from protobuf field: optional string email = 8
170
- */
171
- email?: string;
172
- /**
173
- * Whether the primary email address was verified (`email` scope).
174
- *
175
- * @generated from protobuf field: optional bool email_verified = 9 [json_name = "email_verified"]
176
- */
177
- emailVerified?: boolean;
178
- /**
179
- * Primary phone number in E.164 (`phone` scope).
180
- *
181
- * @generated from protobuf field: optional string phone_number = 10 [json_name = "phone_number"]
182
- */
183
- phoneNumber?: string;
184
- /**
185
- * Whether the primary phone number was verified (`phone` scope).
186
- *
187
- * @generated from protobuf field: optional bool phone_number_verified = 11 [json_name = "phone_number_verified"]
188
- */
189
- phoneNumberVerified?: boolean;
190
- }
191
- /**
192
- * Names the issuer a request is for.
193
- *
194
- * @generated from protobuf message sid.v1.authn.IssuerHandleRequest
195
- */
196
- export interface IssuerHandleRequest {
197
- /**
198
- * The opaque issuer handle: the `<handle>` path segment of the issuer URL
199
- * `https://<host>/i/<handle>`. 32 lowercase hex characters, allocated by
200
- * the server at issuer creation and never reused.
201
- *
202
- * @generated from protobuf field: string issuer_handle = 1
203
- */
204
- issuerHandle: string;
205
- }
206
- /**
207
- * OpenID Provider / Authorization Server metadata of one issuer. JSON member
208
- * names are the registered metadata names (OIDC Discovery 1.0 §3, RFC 8414 §2);
209
- * every endpoint is under the issuer URL.
210
- *
211
- * @generated from protobuf message sid.v1.authn.ProviderMetadata
212
- */
213
- export interface ProviderMetadata {
214
- /**
215
- * The issuer identifier, the stored canonical URL byte for byte: the `iss`
216
- * of every token this issuer signs (OIDC Discovery 1.0 §4.3, RFC 8414 §3.3).
217
- *
218
- * @generated from protobuf field: string issuer = 1
219
- */
220
- issuer: string;
221
- /**
222
- * Authorization endpoint (RFC 6749 §3.1).
223
- *
224
- * @generated from protobuf field: string authorization_endpoint = 2 [json_name = "authorization_endpoint"]
225
- */
226
- authorizationEndpoint: string;
227
- /**
228
- * Token endpoint (RFC 6749 §3.2).
229
- *
230
- * @generated from protobuf field: string token_endpoint = 3 [json_name = "token_endpoint"]
231
- */
232
- tokenEndpoint: string;
233
- /**
234
- * UserInfo endpoint (OIDC Core 1.0 §5.3).
235
- *
236
- * @generated from protobuf field: string userinfo_endpoint = 4 [json_name = "userinfo_endpoint"]
237
- */
238
- userinfoEndpoint: string;
239
- /**
240
- * The issuer's JSON Web Key Set (RFC 7517 §5).
241
- *
242
- * @generated from protobuf field: string jwks_uri = 5 [json_name = "jwks_uri"]
243
- */
244
- jwksUri: string;
245
- /**
246
- * RP-Initiated Logout endpoint (OIDC RP-Initiated Logout 1.0 §2.1).
247
- *
248
- * @generated from protobuf field: string end_session_endpoint = 6 [json_name = "end_session_endpoint"]
249
- */
250
- endSessionEndpoint: string;
251
- /**
252
- * Token introspection endpoint (RFC 7662 §2, RFC 8414 §2).
253
- *
254
- * @generated from protobuf field: string introspection_endpoint = 7 [json_name = "introspection_endpoint"]
255
- */
256
- introspectionEndpoint: string;
257
- /**
258
- * Token revocation endpoint (RFC 7009 §2, RFC 8414 §2).
259
- *
260
- * @generated from protobuf field: string revocation_endpoint = 8 [json_name = "revocation_endpoint"]
261
- */
262
- revocationEndpoint: string;
263
- /**
264
- * Device authorization endpoint (RFC 8628 §4).
265
- *
266
- * @generated from protobuf field: string device_authorization_endpoint = 9 [json_name = "device_authorization_endpoint"]
267
- */
268
- deviceAuthorizationEndpoint: string;
269
- /**
270
- * Supported `response_type` values; only the authorization code flow.
271
- *
272
- * @generated from protobuf field: repeated string response_types_supported = 10 [json_name = "response_types_supported"]
273
- */
274
- responseTypesSupported: string[];
275
- /**
276
- * Supported grant types (RFC 8414 §2).
277
- *
278
- * @generated from protobuf field: repeated string grant_types_supported = 11 [json_name = "grant_types_supported"]
279
- */
280
- grantTypesSupported: string[];
281
- /**
282
- * Subject identifier types (OIDC Core 1.0 §8): `public` within this
283
- * issuer. Which identifier a user's `sub` is follows the issuer, the
284
- * selected Profile and the recipient, never a per-client switch.
285
- *
286
- * @generated from protobuf field: repeated string subject_types_supported = 12 [json_name = "subject_types_supported"]
287
- */
288
- subjectTypesSupported: string[];
289
- /**
290
- * JWS algorithms of ID tokens: the issuer's Ed25519 key signs them (EdDSA).
291
- *
292
- * @generated from protobuf field: repeated string id_token_signing_alg_values_supported = 13 [json_name = "id_token_signing_alg_values_supported"]
293
- */
294
- idTokenSigningAlgValuesSupported: string[];
295
- /**
296
- * Scopes a client may request (RFC 8414 §2).
297
- *
298
- * @generated from protobuf field: repeated string scopes_supported = 14 [json_name = "scopes_supported"]
299
- */
300
- scopesSupported: string[];
301
- /**
302
- * Client authentication methods at the token endpoint (RFC 8414 §2).
303
- *
304
- * @generated from protobuf field: repeated string token_endpoint_auth_methods_supported = 15 [json_name = "token_endpoint_auth_methods_supported"]
305
- */
306
- tokenEndpointAuthMethodsSupported: string[];
307
- /**
308
- * PKCE code challenge methods (RFC 7636 §4.3, RFC 8414 §2); only S256.
309
- *
310
- * @generated from protobuf field: repeated string code_challenge_methods_supported = 16 [json_name = "code_challenge_methods_supported"]
311
- */
312
- codeChallengeMethodsSupported: string[];
313
- /**
314
- * JWS algorithms accepted in DPoP proofs (RFC 9449 §5.1).
315
- *
316
- * @generated from protobuf field: repeated string dpop_signing_alg_values_supported = 17 [json_name = "dpop_signing_alg_values_supported"]
317
- */
318
- dpopSigningAlgValuesSupported: string[];
319
- /**
320
- * Back-channel logout is delivered to registered clients (OIDC Back-Channel
321
- * Logout 1.0 §2.1).
322
- *
323
- * @generated from protobuf field: bool backchannel_logout_supported = 18 [json_name = "backchannel_logout_supported"]
324
- */
325
- backchannelLogoutSupported: boolean;
326
- /**
327
- * Logout tokens carry the `sid` claim (OIDC Back-Channel Logout 1.0 §2.1).
328
- *
329
- * @generated from protobuf field: bool backchannel_logout_session_supported = 19 [json_name = "backchannel_logout_session_supported"]
330
- */
331
- backchannelLogoutSessionSupported: boolean;
332
- /**
333
- * Every authorization response names its issuer in `iss` (RFC 9207 §3).
334
- *
335
- * @generated from protobuf field: bool authorization_response_iss_parameter_supported = 20 [json_name = "authorization_response_iss_parameter_supported"]
336
- */
337
- authorizationResponseIssParameterSupported: boolean;
338
- /**
339
- * Dynamic client registration endpoint (RFC 7591 §3, OIDC Discovery 1.0 §3,
340
- * RFC 8414 §2).
341
- *
342
- * @generated from protobuf field: string registration_endpoint = 21 [json_name = "registration_endpoint"]
343
- */
344
- registrationEndpoint: string;
345
- /**
346
- * JWS algorithms a `private_key_jwt` client may sign its token endpoint
347
- * assertion with (RFC 8414 §2: present whenever that method is listed in
348
- * `token_endpoint_auth_methods_supported`). Asymmetric only; never `none`.
349
- *
350
- * @generated from protobuf field: repeated string token_endpoint_auth_signing_alg_values_supported = 22 [json_name = "token_endpoint_auth_signing_alg_values_supported"]
351
- */
352
- tokenEndpointAuthSigningAlgValuesSupported: string[];
353
- /**
354
- * Client authentication methods at the revocation endpoint (RFC 8414 §2;
355
- * absent would mean `client_secret_basic` only): the token endpoint's.
356
- *
357
- * @generated from protobuf field: repeated string revocation_endpoint_auth_methods_supported = 23 [json_name = "revocation_endpoint_auth_methods_supported"]
358
- */
359
- revocationEndpointAuthMethodsSupported: string[];
360
- /**
361
- * JWS algorithms of `private_key_jwt` assertions at the revocation
362
- * endpoint (RFC 8414 §2): the token endpoint's.
363
- *
364
- * @generated from protobuf field: repeated string revocation_endpoint_auth_signing_alg_values_supported = 24 [json_name = "revocation_endpoint_auth_signing_alg_values_supported"]
365
- */
366
- revocationEndpointAuthSigningAlgValuesSupported: string[];
367
- /**
368
- * Client authentication methods at the introspection endpoint (RFC 8414
369
- * §2), for the confidential clients and machine users that may introspect;
370
- * `none` is not among them (RFC 7662 §2.1).
371
- *
372
- * @generated from protobuf field: repeated string introspection_endpoint_auth_methods_supported = 25 [json_name = "introspection_endpoint_auth_methods_supported"]
373
- */
374
- introspectionEndpointAuthMethodsSupported: string[];
375
- /**
376
- * JWS algorithms of `private_key_jwt` assertions at the introspection
377
- * endpoint (RFC 8414 §2): the token endpoint's.
378
- *
379
- * @generated from protobuf field: repeated string introspection_endpoint_auth_signing_alg_values_supported = 26 [json_name = "introspection_endpoint_auth_signing_alg_values_supported"]
380
- */
381
- introspectionEndpointAuthSigningAlgValuesSupported: string[];
382
- }
383
- /**
384
- * A JSON Web Key Set (RFC 7517 §5).
385
- *
386
- * @generated from protobuf message sid.v1.authn.JsonWebKeySet
387
- */
388
- export interface JsonWebKeySet {
389
- /**
390
- * The issuer's public signing keys, newest generation first.
391
- *
392
- * @generated from protobuf field: repeated sid.v1.authn.JsonWebKey keys = 1
393
- */
394
- keys: JsonWebKey[];
395
- }
396
- /**
397
- * A public Ed25519 signing key as an OKP JWK (RFC 7517 §4, RFC 8037 §2).
398
- *
399
- * @generated from protobuf message sid.v1.authn.JsonWebKey
400
- */
401
- export interface JsonWebKey {
402
- /**
403
- * Key type (RFC 7517 §4.1): always `OKP`.
404
- *
405
- * @generated from protobuf field: string kty = 1
406
- */
407
- kty: string;
408
- /**
409
- * Intended use (RFC 7517 §4.2): always `sig`.
410
- *
411
- * @generated from protobuf field: string use = 2
412
- */
413
- use: string;
414
- /**
415
- * Algorithm (RFC 7517 §4.4): always `EdDSA`.
416
- *
417
- * @generated from protobuf field: string alg = 3
418
- */
419
- alg: string;
420
- /**
421
- * Key identifier (RFC 7517 §4.5), the JWS `kid` of every token this key
422
- * signs. Unique within the issuer only.
423
- *
424
- * @generated from protobuf field: string kid = 4
425
- */
426
- kid: string;
427
- /**
428
- * Curve (RFC 8037 §2): always `Ed25519`.
429
- *
430
- * @generated from protobuf field: string crv = 5
431
- */
432
- crv: string;
433
- /**
434
- * The 32-byte public key, base64url without padding (RFC 8037 §2).
435
- *
436
- * @generated from protobuf field: string x = 6
437
- */
438
- x: string;
439
- }
440
- /**
441
- * @generated from protobuf message sid.v1.authn.GetOidcIssuerRequest
442
- */
443
- export interface GetOidcIssuerRequest {
444
- /**
445
- * The opaque issuer handle: the `<handle>` path segment of the issuer URL
446
- * `https://<host>/i/<handle>` that received the request. 32 lowercase hex
447
- * characters, allocated by the server at issuer creation and never reused.
448
- *
449
- * @generated from protobuf field: string handle = 1
450
- */
451
- handle: string;
452
- }
453
- /**
454
- * A logical OIDC issuer as its relying parties see it.
455
- *
456
- * @generated from protobuf message sid.v1.authn.OidcIssuer
457
- */
458
- export interface OidcIssuer {
459
- /**
460
- * Exact issuer identifier (the stored canonical URL, `https://<host>/i/<handle>`).
461
- * Discovery `issuer`, token `iss` and relying-party configuration must equal
462
- * it byte for byte (OpenID Connect Discovery 1.0 §4.3). Never derived from
463
- * request Host or Forwarded headers.
464
- *
465
- * @generated from protobuf field: string issuer = 1
466
- */
467
- issuer: string;
468
- /**
469
- * Public signing keys of this issuer, newest generation first: the current
470
- * key and every earlier generation still needed to verify artifacts it
471
- * issued. Keys of any other issuer never appear here, even under an equal
472
- * key identifier.
473
- *
474
- * @generated from protobuf field: repeated sid.v1.authn.IssuerPublicKey keys = 2
475
- */
476
- keys: IssuerPublicKey[];
477
- }
478
- /**
479
- * @generated from protobuf message sid.v1.authn.GetProtectedResourceRequest
480
- */
481
- export interface GetProtectedResourceRequest {
482
- /**
483
- * Handle of the issuer the resource is registered under: the `<handle>`
484
- * path segment of the issuer URL `https://<host>/i/<handle>`.
485
- *
486
- * @generated from protobuf field: string issuer_handle = 1
487
- */
488
- issuerHandle: string;
489
- /**
490
- * The resource indicator (RFC 8707 §2) as the ingress configuration names
491
- * it: an absolute URI without a fragment, in canonical form. Compared
492
- * exactly; another spelling of the same URI names no resource.
493
- *
494
- * @generated from protobuf field: string resource = 2
495
- */
496
- resource: string;
497
- }
498
- /**
499
- * A registered protected resource as a token verifier needs it.
500
- *
501
- * @generated from protobuf message sid.v1.authn.ProtectedResourceTarget
502
- */
503
- export interface ProtectedResourceTarget {
504
- /**
505
- * Exact identifier of the issuer whose tokens the resource accepts; a
506
- * token naming another `iss` is refused there.
507
- *
508
- * @generated from protobuf field: string issuer = 1
509
- */
510
- issuer: string;
511
- /**
512
- * The resource indicator, which is the `aud` an access token for this
513
- * resource carries (RFC 9068 §4).
514
- *
515
- * @generated from protobuf field: string resource = 2
516
- */
517
- resource: string;
518
- /**
519
- * Whether the resource accepts tokens now. An inactive or retired resource
520
- * opens nothing: every token presented for it is refused.
521
- *
522
- * @generated from protobuf field: bool active = 3
523
- */
524
- active: boolean;
525
- /**
526
- * The registered resource itself: the target a permission question about
527
- * its requests names.
528
- *
529
- * @generated from protobuf field: sid.v1.ids.ResourceId id = 4
530
- */
531
- id?: ResourceId;
532
- }
533
- /**
534
- * One generation of an issuer's server signing key.
535
- *
536
- * @generated from protobuf message sid.v1.authn.IssuerPublicKey
537
- */
538
- export interface IssuerPublicKey {
539
- /**
540
- * Key identifier, published as the JWK `kid` and carried in the JWS header
541
- * of every token signed with this key (RFC 7515 §4.1.4). Unique within the
542
- * issuer only; a verifier matches it together with the exact issuer.
543
- *
544
- * @generated from protobuf field: string key_id = 1
545
- */
546
- keyId: string;
547
- /**
548
- * Ed25519 public key, the 32-byte encoding of RFC 8032 §5.1.5. Published as
549
- * an OKP JWK with crv "Ed25519" and alg "EdDSA" (RFC 8037 §2).
550
- *
551
- * @generated from protobuf field: bytes public_key = 2
552
- */
553
- publicKey: Uint8Array;
554
- }
555
- // @generated message type with reflection information, may provide speed optimized methods
556
- class RegistrationRequest$Type extends MessageType<RegistrationRequest> {
557
- constructor() {
558
- super("sid.v1.authn.RegistrationRequest", [
559
- { no: 1, name: "issuer_handle", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
560
- { no: 2, name: "client_id", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
561
- { no: 3, name: "body", kind: "message", T: () => HttpBody }
562
- ]);
563
- }
564
- create(value?: PartialMessage<RegistrationRequest>): RegistrationRequest {
565
- const message = globalThis.Object.create((this.messagePrototype!));
566
- message.issuerHandle = "";
567
- message.clientId = "";
568
- if (value !== undefined)
569
- reflectionMergePartial<RegistrationRequest>(this, message, value);
570
- return message;
571
- }
572
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: RegistrationRequest): RegistrationRequest {
573
- let message = target ?? this.create(), end = reader.pos + length;
574
- while (reader.pos < end) {
575
- let [fieldNo, wireType] = reader.tag();
576
- switch (fieldNo) {
577
- case /* string issuer_handle */ 1:
578
- message.issuerHandle = reader.string();
579
- break;
580
- case /* string client_id */ 2:
581
- message.clientId = reader.string();
582
- break;
583
- case /* google.api.HttpBody body */ 3:
584
- message.body = HttpBody.internalBinaryRead(reader, reader.uint32(), options, message.body);
585
- break;
586
- default:
587
- let u = options.readUnknownField;
588
- if (u === "throw")
589
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
590
- let d = reader.skip(wireType);
591
- if (u !== false)
592
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
593
- }
594
- }
595
- return message;
596
- }
597
- internalBinaryWrite(message: RegistrationRequest, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
598
- /* string issuer_handle = 1; */
599
- if (message.issuerHandle !== "")
600
- writer.tag(1, WireType.LengthDelimited).string(message.issuerHandle);
601
- /* string client_id = 2; */
602
- if (message.clientId !== "")
603
- writer.tag(2, WireType.LengthDelimited).string(message.clientId);
604
- /* google.api.HttpBody body = 3; */
605
- if (message.body)
606
- HttpBody.internalBinaryWrite(message.body, writer.tag(3, WireType.LengthDelimited).fork(), options).join();
607
- let u = options.writeUnknownFields;
608
- if (u !== false)
609
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
610
- return writer;
611
- }
612
- }
613
- /**
614
- * @generated MessageType for protobuf message sid.v1.authn.RegistrationRequest
615
- */
616
- export const RegistrationRequest = new RegistrationRequest$Type();
617
- // @generated message type with reflection information, may provide speed optimized methods
618
- class EndSessionRequest$Type extends MessageType<EndSessionRequest> {
619
- constructor() {
620
- super("sid.v1.authn.EndSessionRequest", [
621
- { no: 1, name: "issuer_handle", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
622
- { no: 2, name: "id_token_hint", kind: "scalar", opt: true, T: 9 /*ScalarType.STRING*/ },
623
- { no: 3, name: "client_id", kind: "scalar", opt: true, T: 9 /*ScalarType.STRING*/ },
624
- { no: 4, name: "post_logout_redirect_uri", kind: "scalar", opt: true, T: 9 /*ScalarType.STRING*/ },
625
- { no: 5, name: "state", kind: "scalar", opt: true, T: 9 /*ScalarType.STRING*/ }
626
- ]);
627
- }
628
- create(value?: PartialMessage<EndSessionRequest>): EndSessionRequest {
629
- const message = globalThis.Object.create((this.messagePrototype!));
630
- message.issuerHandle = "";
631
- if (value !== undefined)
632
- reflectionMergePartial<EndSessionRequest>(this, message, value);
633
- return message;
634
- }
635
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: EndSessionRequest): EndSessionRequest {
636
- let message = target ?? this.create(), end = reader.pos + length;
637
- while (reader.pos < end) {
638
- let [fieldNo, wireType] = reader.tag();
639
- switch (fieldNo) {
640
- case /* string issuer_handle */ 1:
641
- message.issuerHandle = reader.string();
642
- break;
643
- case /* optional string id_token_hint */ 2:
644
- message.idTokenHint = reader.string();
645
- break;
646
- case /* optional string client_id */ 3:
647
- message.clientId = reader.string();
648
- break;
649
- case /* optional string post_logout_redirect_uri */ 4:
650
- message.postLogoutRedirectUri = reader.string();
651
- break;
652
- case /* optional string state */ 5:
653
- message.state = reader.string();
654
- break;
655
- default:
656
- let u = options.readUnknownField;
657
- if (u === "throw")
658
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
659
- let d = reader.skip(wireType);
660
- if (u !== false)
661
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
662
- }
663
- }
664
- return message;
665
- }
666
- internalBinaryWrite(message: EndSessionRequest, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
667
- /* string issuer_handle = 1; */
668
- if (message.issuerHandle !== "")
669
- writer.tag(1, WireType.LengthDelimited).string(message.issuerHandle);
670
- /* optional string id_token_hint = 2; */
671
- if (message.idTokenHint !== undefined)
672
- writer.tag(2, WireType.LengthDelimited).string(message.idTokenHint);
673
- /* optional string client_id = 3; */
674
- if (message.clientId !== undefined)
675
- writer.tag(3, WireType.LengthDelimited).string(message.clientId);
676
- /* optional string post_logout_redirect_uri = 4; */
677
- if (message.postLogoutRedirectUri !== undefined)
678
- writer.tag(4, WireType.LengthDelimited).string(message.postLogoutRedirectUri);
679
- /* optional string state = 5; */
680
- if (message.state !== undefined)
681
- writer.tag(5, WireType.LengthDelimited).string(message.state);
682
- let u = options.writeUnknownFields;
683
- if (u !== false)
684
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
685
- return writer;
686
- }
687
- }
688
- /**
689
- * @generated MessageType for protobuf message sid.v1.authn.EndSessionRequest
690
- */
691
- export const EndSessionRequest = new EndSessionRequest$Type();
692
- // @generated message type with reflection information, may provide speed optimized methods
693
- class ProtocolRequest$Type extends MessageType<ProtocolRequest> {
694
- constructor() {
695
- super("sid.v1.authn.ProtocolRequest", [
696
- { no: 1, name: "issuer_handle", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
697
- { no: 2, name: "body", kind: "message", T: () => HttpBody }
698
- ]);
699
- }
700
- create(value?: PartialMessage<ProtocolRequest>): ProtocolRequest {
701
- const message = globalThis.Object.create((this.messagePrototype!));
702
- message.issuerHandle = "";
703
- if (value !== undefined)
704
- reflectionMergePartial<ProtocolRequest>(this, message, value);
705
- return message;
706
- }
707
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: ProtocolRequest): ProtocolRequest {
708
- let message = target ?? this.create(), end = reader.pos + length;
709
- while (reader.pos < end) {
710
- let [fieldNo, wireType] = reader.tag();
711
- switch (fieldNo) {
712
- case /* string issuer_handle */ 1:
713
- message.issuerHandle = reader.string();
714
- break;
715
- case /* google.api.HttpBody body */ 2:
716
- message.body = HttpBody.internalBinaryRead(reader, reader.uint32(), options, message.body);
717
- break;
718
- default:
719
- let u = options.readUnknownField;
720
- if (u === "throw")
721
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
722
- let d = reader.skip(wireType);
723
- if (u !== false)
724
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
725
- }
726
- }
727
- return message;
728
- }
729
- internalBinaryWrite(message: ProtocolRequest, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
730
- /* string issuer_handle = 1; */
731
- if (message.issuerHandle !== "")
732
- writer.tag(1, WireType.LengthDelimited).string(message.issuerHandle);
733
- /* google.api.HttpBody body = 2; */
734
- if (message.body)
735
- HttpBody.internalBinaryWrite(message.body, writer.tag(2, WireType.LengthDelimited).fork(), options).join();
736
- let u = options.writeUnknownFields;
737
- if (u !== false)
738
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
739
- return writer;
740
- }
741
- }
742
- /**
743
- * @generated MessageType for protobuf message sid.v1.authn.ProtocolRequest
744
- */
745
- export const ProtocolRequest = new ProtocolRequest$Type();
746
- // @generated message type with reflection information, may provide speed optimized methods
747
- class UserInfo$Type extends MessageType<UserInfo> {
748
- constructor() {
749
- super("sid.v1.authn.UserInfo", [
750
- { no: 1, name: "sub", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
751
- { no: 2, name: "name", kind: "scalar", opt: true, T: 9 /*ScalarType.STRING*/ },
752
- { no: 3, name: "given_name", kind: "scalar", jsonName: "given_name", opt: true, T: 9 /*ScalarType.STRING*/ },
753
- { no: 4, name: "family_name", kind: "scalar", jsonName: "family_name", opt: true, T: 9 /*ScalarType.STRING*/ },
754
- { no: 5, name: "middle_name", kind: "scalar", jsonName: "middle_name", opt: true, T: 9 /*ScalarType.STRING*/ },
755
- { no: 6, name: "preferred_username", kind: "scalar", jsonName: "preferred_username", opt: true, T: 9 /*ScalarType.STRING*/ },
756
- { no: 7, name: "updated_at", kind: "scalar", jsonName: "updated_at", opt: true, T: 13 /*ScalarType.UINT32*/ },
757
- { no: 8, name: "email", kind: "scalar", opt: true, T: 9 /*ScalarType.STRING*/ },
758
- { no: 9, name: "email_verified", kind: "scalar", jsonName: "email_verified", opt: true, T: 8 /*ScalarType.BOOL*/ },
759
- { no: 10, name: "phone_number", kind: "scalar", jsonName: "phone_number", opt: true, T: 9 /*ScalarType.STRING*/ },
760
- { no: 11, name: "phone_number_verified", kind: "scalar", jsonName: "phone_number_verified", opt: true, T: 8 /*ScalarType.BOOL*/ }
761
- ]);
762
- }
763
- create(value?: PartialMessage<UserInfo>): UserInfo {
764
- const message = globalThis.Object.create((this.messagePrototype!));
765
- message.sub = "";
766
- if (value !== undefined)
767
- reflectionMergePartial<UserInfo>(this, message, value);
768
- return message;
769
- }
770
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: UserInfo): UserInfo {
771
- let message = target ?? this.create(), end = reader.pos + length;
772
- while (reader.pos < end) {
773
- let [fieldNo, wireType] = reader.tag();
774
- switch (fieldNo) {
775
- case /* string sub */ 1:
776
- message.sub = reader.string();
777
- break;
778
- case /* optional string name */ 2:
779
- message.name = reader.string();
780
- break;
781
- case /* optional string given_name = 3 [json_name = "given_name"] */ 3:
782
- message.givenName = reader.string();
783
- break;
784
- case /* optional string family_name = 4 [json_name = "family_name"] */ 4:
785
- message.familyName = reader.string();
786
- break;
787
- case /* optional string middle_name = 5 [json_name = "middle_name"] */ 5:
788
- message.middleName = reader.string();
789
- break;
790
- case /* optional string preferred_username = 6 [json_name = "preferred_username"] */ 6:
791
- message.preferredUsername = reader.string();
792
- break;
793
- case /* optional uint32 updated_at = 7 [json_name = "updated_at"] */ 7:
794
- message.updatedAt = reader.uint32();
795
- break;
796
- case /* optional string email */ 8:
797
- message.email = reader.string();
798
- break;
799
- case /* optional bool email_verified = 9 [json_name = "email_verified"] */ 9:
800
- message.emailVerified = reader.bool();
801
- break;
802
- case /* optional string phone_number = 10 [json_name = "phone_number"] */ 10:
803
- message.phoneNumber = reader.string();
804
- break;
805
- case /* optional bool phone_number_verified = 11 [json_name = "phone_number_verified"] */ 11:
806
- message.phoneNumberVerified = reader.bool();
807
- break;
808
- default:
809
- let u = options.readUnknownField;
810
- if (u === "throw")
811
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
812
- let d = reader.skip(wireType);
813
- if (u !== false)
814
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
815
- }
816
- }
817
- return message;
818
- }
819
- internalBinaryWrite(message: UserInfo, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
820
- /* string sub = 1; */
821
- if (message.sub !== "")
822
- writer.tag(1, WireType.LengthDelimited).string(message.sub);
823
- /* optional string name = 2; */
824
- if (message.name !== undefined)
825
- writer.tag(2, WireType.LengthDelimited).string(message.name);
826
- /* optional string given_name = 3 [json_name = "given_name"]; */
827
- if (message.givenName !== undefined)
828
- writer.tag(3, WireType.LengthDelimited).string(message.givenName);
829
- /* optional string family_name = 4 [json_name = "family_name"]; */
830
- if (message.familyName !== undefined)
831
- writer.tag(4, WireType.LengthDelimited).string(message.familyName);
832
- /* optional string middle_name = 5 [json_name = "middle_name"]; */
833
- if (message.middleName !== undefined)
834
- writer.tag(5, WireType.LengthDelimited).string(message.middleName);
835
- /* optional string preferred_username = 6 [json_name = "preferred_username"]; */
836
- if (message.preferredUsername !== undefined)
837
- writer.tag(6, WireType.LengthDelimited).string(message.preferredUsername);
838
- /* optional uint32 updated_at = 7 [json_name = "updated_at"]; */
839
- if (message.updatedAt !== undefined)
840
- writer.tag(7, WireType.Varint).uint32(message.updatedAt);
841
- /* optional string email = 8; */
842
- if (message.email !== undefined)
843
- writer.tag(8, WireType.LengthDelimited).string(message.email);
844
- /* optional bool email_verified = 9 [json_name = "email_verified"]; */
845
- if (message.emailVerified !== undefined)
846
- writer.tag(9, WireType.Varint).bool(message.emailVerified);
847
- /* optional string phone_number = 10 [json_name = "phone_number"]; */
848
- if (message.phoneNumber !== undefined)
849
- writer.tag(10, WireType.LengthDelimited).string(message.phoneNumber);
850
- /* optional bool phone_number_verified = 11 [json_name = "phone_number_verified"]; */
851
- if (message.phoneNumberVerified !== undefined)
852
- writer.tag(11, WireType.Varint).bool(message.phoneNumberVerified);
853
- let u = options.writeUnknownFields;
854
- if (u !== false)
855
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
856
- return writer;
857
- }
858
- }
859
- /**
860
- * @generated MessageType for protobuf message sid.v1.authn.UserInfo
861
- */
862
- export const UserInfo = new UserInfo$Type();
863
- // @generated message type with reflection information, may provide speed optimized methods
864
- class IssuerHandleRequest$Type extends MessageType<IssuerHandleRequest> {
865
- constructor() {
866
- super("sid.v1.authn.IssuerHandleRequest", [
867
- { no: 1, name: "issuer_handle", kind: "scalar", T: 9 /*ScalarType.STRING*/ }
868
- ]);
869
- }
870
- create(value?: PartialMessage<IssuerHandleRequest>): IssuerHandleRequest {
871
- const message = globalThis.Object.create((this.messagePrototype!));
872
- message.issuerHandle = "";
873
- if (value !== undefined)
874
- reflectionMergePartial<IssuerHandleRequest>(this, message, value);
875
- return message;
876
- }
877
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: IssuerHandleRequest): IssuerHandleRequest {
878
- let message = target ?? this.create(), end = reader.pos + length;
879
- while (reader.pos < end) {
880
- let [fieldNo, wireType] = reader.tag();
881
- switch (fieldNo) {
882
- case /* string issuer_handle */ 1:
883
- message.issuerHandle = reader.string();
884
- break;
885
- default:
886
- let u = options.readUnknownField;
887
- if (u === "throw")
888
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
889
- let d = reader.skip(wireType);
890
- if (u !== false)
891
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
892
- }
893
- }
894
- return message;
895
- }
896
- internalBinaryWrite(message: IssuerHandleRequest, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
897
- /* string issuer_handle = 1; */
898
- if (message.issuerHandle !== "")
899
- writer.tag(1, WireType.LengthDelimited).string(message.issuerHandle);
900
- let u = options.writeUnknownFields;
901
- if (u !== false)
902
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
903
- return writer;
904
- }
905
- }
906
- /**
907
- * @generated MessageType for protobuf message sid.v1.authn.IssuerHandleRequest
908
- */
909
- export const IssuerHandleRequest = new IssuerHandleRequest$Type();
910
- // @generated message type with reflection information, may provide speed optimized methods
911
- class ProviderMetadata$Type extends MessageType<ProviderMetadata> {
912
- constructor() {
913
- super("sid.v1.authn.ProviderMetadata", [
914
- { no: 1, name: "issuer", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
915
- { no: 2, name: "authorization_endpoint", kind: "scalar", jsonName: "authorization_endpoint", T: 9 /*ScalarType.STRING*/ },
916
- { no: 3, name: "token_endpoint", kind: "scalar", jsonName: "token_endpoint", T: 9 /*ScalarType.STRING*/ },
917
- { no: 4, name: "userinfo_endpoint", kind: "scalar", jsonName: "userinfo_endpoint", T: 9 /*ScalarType.STRING*/ },
918
- { no: 5, name: "jwks_uri", kind: "scalar", jsonName: "jwks_uri", T: 9 /*ScalarType.STRING*/ },
919
- { no: 6, name: "end_session_endpoint", kind: "scalar", jsonName: "end_session_endpoint", T: 9 /*ScalarType.STRING*/ },
920
- { no: 7, name: "introspection_endpoint", kind: "scalar", jsonName: "introspection_endpoint", T: 9 /*ScalarType.STRING*/ },
921
- { no: 8, name: "revocation_endpoint", kind: "scalar", jsonName: "revocation_endpoint", T: 9 /*ScalarType.STRING*/ },
922
- { no: 9, name: "device_authorization_endpoint", kind: "scalar", jsonName: "device_authorization_endpoint", T: 9 /*ScalarType.STRING*/ },
923
- { no: 10, name: "response_types_supported", kind: "scalar", jsonName: "response_types_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
924
- { no: 11, name: "grant_types_supported", kind: "scalar", jsonName: "grant_types_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
925
- { no: 12, name: "subject_types_supported", kind: "scalar", jsonName: "subject_types_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
926
- { no: 13, name: "id_token_signing_alg_values_supported", kind: "scalar", jsonName: "id_token_signing_alg_values_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
927
- { no: 14, name: "scopes_supported", kind: "scalar", jsonName: "scopes_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
928
- { no: 15, name: "token_endpoint_auth_methods_supported", kind: "scalar", jsonName: "token_endpoint_auth_methods_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
929
- { no: 16, name: "code_challenge_methods_supported", kind: "scalar", jsonName: "code_challenge_methods_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
930
- { no: 17, name: "dpop_signing_alg_values_supported", kind: "scalar", jsonName: "dpop_signing_alg_values_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
931
- { no: 18, name: "backchannel_logout_supported", kind: "scalar", jsonName: "backchannel_logout_supported", T: 8 /*ScalarType.BOOL*/ },
932
- { no: 19, name: "backchannel_logout_session_supported", kind: "scalar", jsonName: "backchannel_logout_session_supported", T: 8 /*ScalarType.BOOL*/ },
933
- { no: 20, name: "authorization_response_iss_parameter_supported", kind: "scalar", jsonName: "authorization_response_iss_parameter_supported", T: 8 /*ScalarType.BOOL*/ },
934
- { no: 21, name: "registration_endpoint", kind: "scalar", jsonName: "registration_endpoint", T: 9 /*ScalarType.STRING*/ },
935
- { no: 22, name: "token_endpoint_auth_signing_alg_values_supported", kind: "scalar", jsonName: "token_endpoint_auth_signing_alg_values_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
936
- { no: 23, name: "revocation_endpoint_auth_methods_supported", kind: "scalar", jsonName: "revocation_endpoint_auth_methods_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
937
- { no: 24, name: "revocation_endpoint_auth_signing_alg_values_supported", kind: "scalar", jsonName: "revocation_endpoint_auth_signing_alg_values_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
938
- { no: 25, name: "introspection_endpoint_auth_methods_supported", kind: "scalar", jsonName: "introspection_endpoint_auth_methods_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ },
939
- { no: 26, name: "introspection_endpoint_auth_signing_alg_values_supported", kind: "scalar", jsonName: "introspection_endpoint_auth_signing_alg_values_supported", repeat: 2 /*RepeatType.UNPACKED*/, T: 9 /*ScalarType.STRING*/ }
940
- ]);
941
- }
942
- create(value?: PartialMessage<ProviderMetadata>): ProviderMetadata {
943
- const message = globalThis.Object.create((this.messagePrototype!));
944
- message.issuer = "";
945
- message.authorizationEndpoint = "";
946
- message.tokenEndpoint = "";
947
- message.userinfoEndpoint = "";
948
- message.jwksUri = "";
949
- message.endSessionEndpoint = "";
950
- message.introspectionEndpoint = "";
951
- message.revocationEndpoint = "";
952
- message.deviceAuthorizationEndpoint = "";
953
- message.responseTypesSupported = [];
954
- message.grantTypesSupported = [];
955
- message.subjectTypesSupported = [];
956
- message.idTokenSigningAlgValuesSupported = [];
957
- message.scopesSupported = [];
958
- message.tokenEndpointAuthMethodsSupported = [];
959
- message.codeChallengeMethodsSupported = [];
960
- message.dpopSigningAlgValuesSupported = [];
961
- message.backchannelLogoutSupported = false;
962
- message.backchannelLogoutSessionSupported = false;
963
- message.authorizationResponseIssParameterSupported = false;
964
- message.registrationEndpoint = "";
965
- message.tokenEndpointAuthSigningAlgValuesSupported = [];
966
- message.revocationEndpointAuthMethodsSupported = [];
967
- message.revocationEndpointAuthSigningAlgValuesSupported = [];
968
- message.introspectionEndpointAuthMethodsSupported = [];
969
- message.introspectionEndpointAuthSigningAlgValuesSupported = [];
970
- if (value !== undefined)
971
- reflectionMergePartial<ProviderMetadata>(this, message, value);
972
- return message;
973
- }
974
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: ProviderMetadata): ProviderMetadata {
975
- let message = target ?? this.create(), end = reader.pos + length;
976
- while (reader.pos < end) {
977
- let [fieldNo, wireType] = reader.tag();
978
- switch (fieldNo) {
979
- case /* string issuer */ 1:
980
- message.issuer = reader.string();
981
- break;
982
- case /* string authorization_endpoint = 2 [json_name = "authorization_endpoint"] */ 2:
983
- message.authorizationEndpoint = reader.string();
984
- break;
985
- case /* string token_endpoint = 3 [json_name = "token_endpoint"] */ 3:
986
- message.tokenEndpoint = reader.string();
987
- break;
988
- case /* string userinfo_endpoint = 4 [json_name = "userinfo_endpoint"] */ 4:
989
- message.userinfoEndpoint = reader.string();
990
- break;
991
- case /* string jwks_uri = 5 [json_name = "jwks_uri"] */ 5:
992
- message.jwksUri = reader.string();
993
- break;
994
- case /* string end_session_endpoint = 6 [json_name = "end_session_endpoint"] */ 6:
995
- message.endSessionEndpoint = reader.string();
996
- break;
997
- case /* string introspection_endpoint = 7 [json_name = "introspection_endpoint"] */ 7:
998
- message.introspectionEndpoint = reader.string();
999
- break;
1000
- case /* string revocation_endpoint = 8 [json_name = "revocation_endpoint"] */ 8:
1001
- message.revocationEndpoint = reader.string();
1002
- break;
1003
- case /* string device_authorization_endpoint = 9 [json_name = "device_authorization_endpoint"] */ 9:
1004
- message.deviceAuthorizationEndpoint = reader.string();
1005
- break;
1006
- case /* repeated string response_types_supported = 10 [json_name = "response_types_supported"] */ 10:
1007
- message.responseTypesSupported.push(reader.string());
1008
- break;
1009
- case /* repeated string grant_types_supported = 11 [json_name = "grant_types_supported"] */ 11:
1010
- message.grantTypesSupported.push(reader.string());
1011
- break;
1012
- case /* repeated string subject_types_supported = 12 [json_name = "subject_types_supported"] */ 12:
1013
- message.subjectTypesSupported.push(reader.string());
1014
- break;
1015
- case /* repeated string id_token_signing_alg_values_supported = 13 [json_name = "id_token_signing_alg_values_supported"] */ 13:
1016
- message.idTokenSigningAlgValuesSupported.push(reader.string());
1017
- break;
1018
- case /* repeated string scopes_supported = 14 [json_name = "scopes_supported"] */ 14:
1019
- message.scopesSupported.push(reader.string());
1020
- break;
1021
- case /* repeated string token_endpoint_auth_methods_supported = 15 [json_name = "token_endpoint_auth_methods_supported"] */ 15:
1022
- message.tokenEndpointAuthMethodsSupported.push(reader.string());
1023
- break;
1024
- case /* repeated string code_challenge_methods_supported = 16 [json_name = "code_challenge_methods_supported"] */ 16:
1025
- message.codeChallengeMethodsSupported.push(reader.string());
1026
- break;
1027
- case /* repeated string dpop_signing_alg_values_supported = 17 [json_name = "dpop_signing_alg_values_supported"] */ 17:
1028
- message.dpopSigningAlgValuesSupported.push(reader.string());
1029
- break;
1030
- case /* bool backchannel_logout_supported = 18 [json_name = "backchannel_logout_supported"] */ 18:
1031
- message.backchannelLogoutSupported = reader.bool();
1032
- break;
1033
- case /* bool backchannel_logout_session_supported = 19 [json_name = "backchannel_logout_session_supported"] */ 19:
1034
- message.backchannelLogoutSessionSupported = reader.bool();
1035
- break;
1036
- case /* bool authorization_response_iss_parameter_supported = 20 [json_name = "authorization_response_iss_parameter_supported"] */ 20:
1037
- message.authorizationResponseIssParameterSupported = reader.bool();
1038
- break;
1039
- case /* string registration_endpoint = 21 [json_name = "registration_endpoint"] */ 21:
1040
- message.registrationEndpoint = reader.string();
1041
- break;
1042
- case /* repeated string token_endpoint_auth_signing_alg_values_supported = 22 [json_name = "token_endpoint_auth_signing_alg_values_supported"] */ 22:
1043
- message.tokenEndpointAuthSigningAlgValuesSupported.push(reader.string());
1044
- break;
1045
- case /* repeated string revocation_endpoint_auth_methods_supported = 23 [json_name = "revocation_endpoint_auth_methods_supported"] */ 23:
1046
- message.revocationEndpointAuthMethodsSupported.push(reader.string());
1047
- break;
1048
- case /* repeated string revocation_endpoint_auth_signing_alg_values_supported = 24 [json_name = "revocation_endpoint_auth_signing_alg_values_supported"] */ 24:
1049
- message.revocationEndpointAuthSigningAlgValuesSupported.push(reader.string());
1050
- break;
1051
- case /* repeated string introspection_endpoint_auth_methods_supported = 25 [json_name = "introspection_endpoint_auth_methods_supported"] */ 25:
1052
- message.introspectionEndpointAuthMethodsSupported.push(reader.string());
1053
- break;
1054
- case /* repeated string introspection_endpoint_auth_signing_alg_values_supported = 26 [json_name = "introspection_endpoint_auth_signing_alg_values_supported"] */ 26:
1055
- message.introspectionEndpointAuthSigningAlgValuesSupported.push(reader.string());
1056
- break;
1057
- default:
1058
- let u = options.readUnknownField;
1059
- if (u === "throw")
1060
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1061
- let d = reader.skip(wireType);
1062
- if (u !== false)
1063
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1064
- }
1065
- }
1066
- return message;
1067
- }
1068
- internalBinaryWrite(message: ProviderMetadata, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1069
- /* string issuer = 1; */
1070
- if (message.issuer !== "")
1071
- writer.tag(1, WireType.LengthDelimited).string(message.issuer);
1072
- /* string authorization_endpoint = 2 [json_name = "authorization_endpoint"]; */
1073
- if (message.authorizationEndpoint !== "")
1074
- writer.tag(2, WireType.LengthDelimited).string(message.authorizationEndpoint);
1075
- /* string token_endpoint = 3 [json_name = "token_endpoint"]; */
1076
- if (message.tokenEndpoint !== "")
1077
- writer.tag(3, WireType.LengthDelimited).string(message.tokenEndpoint);
1078
- /* string userinfo_endpoint = 4 [json_name = "userinfo_endpoint"]; */
1079
- if (message.userinfoEndpoint !== "")
1080
- writer.tag(4, WireType.LengthDelimited).string(message.userinfoEndpoint);
1081
- /* string jwks_uri = 5 [json_name = "jwks_uri"]; */
1082
- if (message.jwksUri !== "")
1083
- writer.tag(5, WireType.LengthDelimited).string(message.jwksUri);
1084
- /* string end_session_endpoint = 6 [json_name = "end_session_endpoint"]; */
1085
- if (message.endSessionEndpoint !== "")
1086
- writer.tag(6, WireType.LengthDelimited).string(message.endSessionEndpoint);
1087
- /* string introspection_endpoint = 7 [json_name = "introspection_endpoint"]; */
1088
- if (message.introspectionEndpoint !== "")
1089
- writer.tag(7, WireType.LengthDelimited).string(message.introspectionEndpoint);
1090
- /* string revocation_endpoint = 8 [json_name = "revocation_endpoint"]; */
1091
- if (message.revocationEndpoint !== "")
1092
- writer.tag(8, WireType.LengthDelimited).string(message.revocationEndpoint);
1093
- /* string device_authorization_endpoint = 9 [json_name = "device_authorization_endpoint"]; */
1094
- if (message.deviceAuthorizationEndpoint !== "")
1095
- writer.tag(9, WireType.LengthDelimited).string(message.deviceAuthorizationEndpoint);
1096
- /* repeated string response_types_supported = 10 [json_name = "response_types_supported"]; */
1097
- for (let i = 0; i < message.responseTypesSupported.length; i++)
1098
- writer.tag(10, WireType.LengthDelimited).string(message.responseTypesSupported[i]);
1099
- /* repeated string grant_types_supported = 11 [json_name = "grant_types_supported"]; */
1100
- for (let i = 0; i < message.grantTypesSupported.length; i++)
1101
- writer.tag(11, WireType.LengthDelimited).string(message.grantTypesSupported[i]);
1102
- /* repeated string subject_types_supported = 12 [json_name = "subject_types_supported"]; */
1103
- for (let i = 0; i < message.subjectTypesSupported.length; i++)
1104
- writer.tag(12, WireType.LengthDelimited).string(message.subjectTypesSupported[i]);
1105
- /* repeated string id_token_signing_alg_values_supported = 13 [json_name = "id_token_signing_alg_values_supported"]; */
1106
- for (let i = 0; i < message.idTokenSigningAlgValuesSupported.length; i++)
1107
- writer.tag(13, WireType.LengthDelimited).string(message.idTokenSigningAlgValuesSupported[i]);
1108
- /* repeated string scopes_supported = 14 [json_name = "scopes_supported"]; */
1109
- for (let i = 0; i < message.scopesSupported.length; i++)
1110
- writer.tag(14, WireType.LengthDelimited).string(message.scopesSupported[i]);
1111
- /* repeated string token_endpoint_auth_methods_supported = 15 [json_name = "token_endpoint_auth_methods_supported"]; */
1112
- for (let i = 0; i < message.tokenEndpointAuthMethodsSupported.length; i++)
1113
- writer.tag(15, WireType.LengthDelimited).string(message.tokenEndpointAuthMethodsSupported[i]);
1114
- /* repeated string code_challenge_methods_supported = 16 [json_name = "code_challenge_methods_supported"]; */
1115
- for (let i = 0; i < message.codeChallengeMethodsSupported.length; i++)
1116
- writer.tag(16, WireType.LengthDelimited).string(message.codeChallengeMethodsSupported[i]);
1117
- /* repeated string dpop_signing_alg_values_supported = 17 [json_name = "dpop_signing_alg_values_supported"]; */
1118
- for (let i = 0; i < message.dpopSigningAlgValuesSupported.length; i++)
1119
- writer.tag(17, WireType.LengthDelimited).string(message.dpopSigningAlgValuesSupported[i]);
1120
- /* bool backchannel_logout_supported = 18 [json_name = "backchannel_logout_supported"]; */
1121
- if (message.backchannelLogoutSupported !== false)
1122
- writer.tag(18, WireType.Varint).bool(message.backchannelLogoutSupported);
1123
- /* bool backchannel_logout_session_supported = 19 [json_name = "backchannel_logout_session_supported"]; */
1124
- if (message.backchannelLogoutSessionSupported !== false)
1125
- writer.tag(19, WireType.Varint).bool(message.backchannelLogoutSessionSupported);
1126
- /* bool authorization_response_iss_parameter_supported = 20 [json_name = "authorization_response_iss_parameter_supported"]; */
1127
- if (message.authorizationResponseIssParameterSupported !== false)
1128
- writer.tag(20, WireType.Varint).bool(message.authorizationResponseIssParameterSupported);
1129
- /* string registration_endpoint = 21 [json_name = "registration_endpoint"]; */
1130
- if (message.registrationEndpoint !== "")
1131
- writer.tag(21, WireType.LengthDelimited).string(message.registrationEndpoint);
1132
- /* repeated string token_endpoint_auth_signing_alg_values_supported = 22 [json_name = "token_endpoint_auth_signing_alg_values_supported"]; */
1133
- for (let i = 0; i < message.tokenEndpointAuthSigningAlgValuesSupported.length; i++)
1134
- writer.tag(22, WireType.LengthDelimited).string(message.tokenEndpointAuthSigningAlgValuesSupported[i]);
1135
- /* repeated string revocation_endpoint_auth_methods_supported = 23 [json_name = "revocation_endpoint_auth_methods_supported"]; */
1136
- for (let i = 0; i < message.revocationEndpointAuthMethodsSupported.length; i++)
1137
- writer.tag(23, WireType.LengthDelimited).string(message.revocationEndpointAuthMethodsSupported[i]);
1138
- /* repeated string revocation_endpoint_auth_signing_alg_values_supported = 24 [json_name = "revocation_endpoint_auth_signing_alg_values_supported"]; */
1139
- for (let i = 0; i < message.revocationEndpointAuthSigningAlgValuesSupported.length; i++)
1140
- writer.tag(24, WireType.LengthDelimited).string(message.revocationEndpointAuthSigningAlgValuesSupported[i]);
1141
- /* repeated string introspection_endpoint_auth_methods_supported = 25 [json_name = "introspection_endpoint_auth_methods_supported"]; */
1142
- for (let i = 0; i < message.introspectionEndpointAuthMethodsSupported.length; i++)
1143
- writer.tag(25, WireType.LengthDelimited).string(message.introspectionEndpointAuthMethodsSupported[i]);
1144
- /* repeated string introspection_endpoint_auth_signing_alg_values_supported = 26 [json_name = "introspection_endpoint_auth_signing_alg_values_supported"]; */
1145
- for (let i = 0; i < message.introspectionEndpointAuthSigningAlgValuesSupported.length; i++)
1146
- writer.tag(26, WireType.LengthDelimited).string(message.introspectionEndpointAuthSigningAlgValuesSupported[i]);
1147
- let u = options.writeUnknownFields;
1148
- if (u !== false)
1149
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1150
- return writer;
1151
- }
1152
- }
1153
- /**
1154
- * @generated MessageType for protobuf message sid.v1.authn.ProviderMetadata
1155
- */
1156
- export const ProviderMetadata = new ProviderMetadata$Type();
1157
- // @generated message type with reflection information, may provide speed optimized methods
1158
- class JsonWebKeySet$Type extends MessageType<JsonWebKeySet> {
1159
- constructor() {
1160
- super("sid.v1.authn.JsonWebKeySet", [
1161
- { no: 1, name: "keys", kind: "message", repeat: 2 /*RepeatType.UNPACKED*/, T: () => JsonWebKey }
1162
- ]);
1163
- }
1164
- create(value?: PartialMessage<JsonWebKeySet>): JsonWebKeySet {
1165
- const message = globalThis.Object.create((this.messagePrototype!));
1166
- message.keys = [];
1167
- if (value !== undefined)
1168
- reflectionMergePartial<JsonWebKeySet>(this, message, value);
1169
- return message;
1170
- }
1171
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: JsonWebKeySet): JsonWebKeySet {
1172
- let message = target ?? this.create(), end = reader.pos + length;
1173
- while (reader.pos < end) {
1174
- let [fieldNo, wireType] = reader.tag();
1175
- switch (fieldNo) {
1176
- case /* repeated sid.v1.authn.JsonWebKey keys */ 1:
1177
- message.keys.push(JsonWebKey.internalBinaryRead(reader, reader.uint32(), options));
1178
- break;
1179
- default:
1180
- let u = options.readUnknownField;
1181
- if (u === "throw")
1182
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1183
- let d = reader.skip(wireType);
1184
- if (u !== false)
1185
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1186
- }
1187
- }
1188
- return message;
1189
- }
1190
- internalBinaryWrite(message: JsonWebKeySet, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1191
- /* repeated sid.v1.authn.JsonWebKey keys = 1; */
1192
- for (let i = 0; i < message.keys.length; i++)
1193
- JsonWebKey.internalBinaryWrite(message.keys[i], writer.tag(1, WireType.LengthDelimited).fork(), options).join();
1194
- let u = options.writeUnknownFields;
1195
- if (u !== false)
1196
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1197
- return writer;
1198
- }
1199
- }
1200
- /**
1201
- * @generated MessageType for protobuf message sid.v1.authn.JsonWebKeySet
1202
- */
1203
- export const JsonWebKeySet = new JsonWebKeySet$Type();
1204
- // @generated message type with reflection information, may provide speed optimized methods
1205
- class JsonWebKey$Type extends MessageType<JsonWebKey> {
1206
- constructor() {
1207
- super("sid.v1.authn.JsonWebKey", [
1208
- { no: 1, name: "kty", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1209
- { no: 2, name: "use", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1210
- { no: 3, name: "alg", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1211
- { no: 4, name: "kid", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1212
- { no: 5, name: "crv", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1213
- { no: 6, name: "x", kind: "scalar", T: 9 /*ScalarType.STRING*/ }
1214
- ]);
1215
- }
1216
- create(value?: PartialMessage<JsonWebKey>): JsonWebKey {
1217
- const message = globalThis.Object.create((this.messagePrototype!));
1218
- message.kty = "";
1219
- message.use = "";
1220
- message.alg = "";
1221
- message.kid = "";
1222
- message.crv = "";
1223
- message.x = "";
1224
- if (value !== undefined)
1225
- reflectionMergePartial<JsonWebKey>(this, message, value);
1226
- return message;
1227
- }
1228
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: JsonWebKey): JsonWebKey {
1229
- let message = target ?? this.create(), end = reader.pos + length;
1230
- while (reader.pos < end) {
1231
- let [fieldNo, wireType] = reader.tag();
1232
- switch (fieldNo) {
1233
- case /* string kty */ 1:
1234
- message.kty = reader.string();
1235
- break;
1236
- case /* string use */ 2:
1237
- message.use = reader.string();
1238
- break;
1239
- case /* string alg */ 3:
1240
- message.alg = reader.string();
1241
- break;
1242
- case /* string kid */ 4:
1243
- message.kid = reader.string();
1244
- break;
1245
- case /* string crv */ 5:
1246
- message.crv = reader.string();
1247
- break;
1248
- case /* string x */ 6:
1249
- message.x = reader.string();
1250
- break;
1251
- default:
1252
- let u = options.readUnknownField;
1253
- if (u === "throw")
1254
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1255
- let d = reader.skip(wireType);
1256
- if (u !== false)
1257
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1258
- }
1259
- }
1260
- return message;
1261
- }
1262
- internalBinaryWrite(message: JsonWebKey, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1263
- /* string kty = 1; */
1264
- if (message.kty !== "")
1265
- writer.tag(1, WireType.LengthDelimited).string(message.kty);
1266
- /* string use = 2; */
1267
- if (message.use !== "")
1268
- writer.tag(2, WireType.LengthDelimited).string(message.use);
1269
- /* string alg = 3; */
1270
- if (message.alg !== "")
1271
- writer.tag(3, WireType.LengthDelimited).string(message.alg);
1272
- /* string kid = 4; */
1273
- if (message.kid !== "")
1274
- writer.tag(4, WireType.LengthDelimited).string(message.kid);
1275
- /* string crv = 5; */
1276
- if (message.crv !== "")
1277
- writer.tag(5, WireType.LengthDelimited).string(message.crv);
1278
- /* string x = 6; */
1279
- if (message.x !== "")
1280
- writer.tag(6, WireType.LengthDelimited).string(message.x);
1281
- let u = options.writeUnknownFields;
1282
- if (u !== false)
1283
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1284
- return writer;
1285
- }
1286
- }
1287
- /**
1288
- * @generated MessageType for protobuf message sid.v1.authn.JsonWebKey
1289
- */
1290
- export const JsonWebKey = new JsonWebKey$Type();
1291
- // @generated message type with reflection information, may provide speed optimized methods
1292
- class GetOidcIssuerRequest$Type extends MessageType<GetOidcIssuerRequest> {
1293
- constructor() {
1294
- super("sid.v1.authn.GetOidcIssuerRequest", [
1295
- { no: 1, name: "handle", kind: "scalar", T: 9 /*ScalarType.STRING*/ }
1296
- ]);
1297
- }
1298
- create(value?: PartialMessage<GetOidcIssuerRequest>): GetOidcIssuerRequest {
1299
- const message = globalThis.Object.create((this.messagePrototype!));
1300
- message.handle = "";
1301
- if (value !== undefined)
1302
- reflectionMergePartial<GetOidcIssuerRequest>(this, message, value);
1303
- return message;
1304
- }
1305
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: GetOidcIssuerRequest): GetOidcIssuerRequest {
1306
- let message = target ?? this.create(), end = reader.pos + length;
1307
- while (reader.pos < end) {
1308
- let [fieldNo, wireType] = reader.tag();
1309
- switch (fieldNo) {
1310
- case /* string handle */ 1:
1311
- message.handle = reader.string();
1312
- break;
1313
- default:
1314
- let u = options.readUnknownField;
1315
- if (u === "throw")
1316
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1317
- let d = reader.skip(wireType);
1318
- if (u !== false)
1319
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1320
- }
1321
- }
1322
- return message;
1323
- }
1324
- internalBinaryWrite(message: GetOidcIssuerRequest, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1325
- /* string handle = 1; */
1326
- if (message.handle !== "")
1327
- writer.tag(1, WireType.LengthDelimited).string(message.handle);
1328
- let u = options.writeUnknownFields;
1329
- if (u !== false)
1330
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1331
- return writer;
1332
- }
1333
- }
1334
- /**
1335
- * @generated MessageType for protobuf message sid.v1.authn.GetOidcIssuerRequest
1336
- */
1337
- export const GetOidcIssuerRequest = new GetOidcIssuerRequest$Type();
1338
- // @generated message type with reflection information, may provide speed optimized methods
1339
- class OidcIssuer$Type extends MessageType<OidcIssuer> {
1340
- constructor() {
1341
- super("sid.v1.authn.OidcIssuer", [
1342
- { no: 1, name: "issuer", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1343
- { no: 2, name: "keys", kind: "message", repeat: 2 /*RepeatType.UNPACKED*/, T: () => IssuerPublicKey }
1344
- ]);
1345
- }
1346
- create(value?: PartialMessage<OidcIssuer>): OidcIssuer {
1347
- const message = globalThis.Object.create((this.messagePrototype!));
1348
- message.issuer = "";
1349
- message.keys = [];
1350
- if (value !== undefined)
1351
- reflectionMergePartial<OidcIssuer>(this, message, value);
1352
- return message;
1353
- }
1354
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: OidcIssuer): OidcIssuer {
1355
- let message = target ?? this.create(), end = reader.pos + length;
1356
- while (reader.pos < end) {
1357
- let [fieldNo, wireType] = reader.tag();
1358
- switch (fieldNo) {
1359
- case /* string issuer */ 1:
1360
- message.issuer = reader.string();
1361
- break;
1362
- case /* repeated sid.v1.authn.IssuerPublicKey keys */ 2:
1363
- message.keys.push(IssuerPublicKey.internalBinaryRead(reader, reader.uint32(), options));
1364
- break;
1365
- default:
1366
- let u = options.readUnknownField;
1367
- if (u === "throw")
1368
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1369
- let d = reader.skip(wireType);
1370
- if (u !== false)
1371
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1372
- }
1373
- }
1374
- return message;
1375
- }
1376
- internalBinaryWrite(message: OidcIssuer, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1377
- /* string issuer = 1; */
1378
- if (message.issuer !== "")
1379
- writer.tag(1, WireType.LengthDelimited).string(message.issuer);
1380
- /* repeated sid.v1.authn.IssuerPublicKey keys = 2; */
1381
- for (let i = 0; i < message.keys.length; i++)
1382
- IssuerPublicKey.internalBinaryWrite(message.keys[i], writer.tag(2, WireType.LengthDelimited).fork(), options).join();
1383
- let u = options.writeUnknownFields;
1384
- if (u !== false)
1385
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1386
- return writer;
1387
- }
1388
- }
1389
- /**
1390
- * @generated MessageType for protobuf message sid.v1.authn.OidcIssuer
1391
- */
1392
- export const OidcIssuer = new OidcIssuer$Type();
1393
- // @generated message type with reflection information, may provide speed optimized methods
1394
- class GetProtectedResourceRequest$Type extends MessageType<GetProtectedResourceRequest> {
1395
- constructor() {
1396
- super("sid.v1.authn.GetProtectedResourceRequest", [
1397
- { no: 1, name: "issuer_handle", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1398
- { no: 2, name: "resource", kind: "scalar", T: 9 /*ScalarType.STRING*/ }
1399
- ]);
1400
- }
1401
- create(value?: PartialMessage<GetProtectedResourceRequest>): GetProtectedResourceRequest {
1402
- const message = globalThis.Object.create((this.messagePrototype!));
1403
- message.issuerHandle = "";
1404
- message.resource = "";
1405
- if (value !== undefined)
1406
- reflectionMergePartial<GetProtectedResourceRequest>(this, message, value);
1407
- return message;
1408
- }
1409
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: GetProtectedResourceRequest): GetProtectedResourceRequest {
1410
- let message = target ?? this.create(), end = reader.pos + length;
1411
- while (reader.pos < end) {
1412
- let [fieldNo, wireType] = reader.tag();
1413
- switch (fieldNo) {
1414
- case /* string issuer_handle */ 1:
1415
- message.issuerHandle = reader.string();
1416
- break;
1417
- case /* string resource */ 2:
1418
- message.resource = reader.string();
1419
- break;
1420
- default:
1421
- let u = options.readUnknownField;
1422
- if (u === "throw")
1423
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1424
- let d = reader.skip(wireType);
1425
- if (u !== false)
1426
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1427
- }
1428
- }
1429
- return message;
1430
- }
1431
- internalBinaryWrite(message: GetProtectedResourceRequest, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1432
- /* string issuer_handle = 1; */
1433
- if (message.issuerHandle !== "")
1434
- writer.tag(1, WireType.LengthDelimited).string(message.issuerHandle);
1435
- /* string resource = 2; */
1436
- if (message.resource !== "")
1437
- writer.tag(2, WireType.LengthDelimited).string(message.resource);
1438
- let u = options.writeUnknownFields;
1439
- if (u !== false)
1440
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1441
- return writer;
1442
- }
1443
- }
1444
- /**
1445
- * @generated MessageType for protobuf message sid.v1.authn.GetProtectedResourceRequest
1446
- */
1447
- export const GetProtectedResourceRequest = new GetProtectedResourceRequest$Type();
1448
- // @generated message type with reflection information, may provide speed optimized methods
1449
- class ProtectedResourceTarget$Type extends MessageType<ProtectedResourceTarget> {
1450
- constructor() {
1451
- super("sid.v1.authn.ProtectedResourceTarget", [
1452
- { no: 1, name: "issuer", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1453
- { no: 2, name: "resource", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1454
- { no: 3, name: "active", kind: "scalar", T: 8 /*ScalarType.BOOL*/ },
1455
- { no: 4, name: "id", kind: "message", T: () => ResourceId }
1456
- ]);
1457
- }
1458
- create(value?: PartialMessage<ProtectedResourceTarget>): ProtectedResourceTarget {
1459
- const message = globalThis.Object.create((this.messagePrototype!));
1460
- message.issuer = "";
1461
- message.resource = "";
1462
- message.active = false;
1463
- if (value !== undefined)
1464
- reflectionMergePartial<ProtectedResourceTarget>(this, message, value);
1465
- return message;
1466
- }
1467
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: ProtectedResourceTarget): ProtectedResourceTarget {
1468
- let message = target ?? this.create(), end = reader.pos + length;
1469
- while (reader.pos < end) {
1470
- let [fieldNo, wireType] = reader.tag();
1471
- switch (fieldNo) {
1472
- case /* string issuer */ 1:
1473
- message.issuer = reader.string();
1474
- break;
1475
- case /* string resource */ 2:
1476
- message.resource = reader.string();
1477
- break;
1478
- case /* bool active */ 3:
1479
- message.active = reader.bool();
1480
- break;
1481
- case /* sid.v1.ids.ResourceId id */ 4:
1482
- message.id = ResourceId.internalBinaryRead(reader, reader.uint32(), options, message.id);
1483
- break;
1484
- default:
1485
- let u = options.readUnknownField;
1486
- if (u === "throw")
1487
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1488
- let d = reader.skip(wireType);
1489
- if (u !== false)
1490
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1491
- }
1492
- }
1493
- return message;
1494
- }
1495
- internalBinaryWrite(message: ProtectedResourceTarget, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1496
- /* string issuer = 1; */
1497
- if (message.issuer !== "")
1498
- writer.tag(1, WireType.LengthDelimited).string(message.issuer);
1499
- /* string resource = 2; */
1500
- if (message.resource !== "")
1501
- writer.tag(2, WireType.LengthDelimited).string(message.resource);
1502
- /* bool active = 3; */
1503
- if (message.active !== false)
1504
- writer.tag(3, WireType.Varint).bool(message.active);
1505
- /* sid.v1.ids.ResourceId id = 4; */
1506
- if (message.id)
1507
- ResourceId.internalBinaryWrite(message.id, writer.tag(4, WireType.LengthDelimited).fork(), options).join();
1508
- let u = options.writeUnknownFields;
1509
- if (u !== false)
1510
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1511
- return writer;
1512
- }
1513
- }
1514
- /**
1515
- * @generated MessageType for protobuf message sid.v1.authn.ProtectedResourceTarget
1516
- */
1517
- export const ProtectedResourceTarget = new ProtectedResourceTarget$Type();
1518
- // @generated message type with reflection information, may provide speed optimized methods
1519
- class IssuerPublicKey$Type extends MessageType<IssuerPublicKey> {
1520
- constructor() {
1521
- super("sid.v1.authn.IssuerPublicKey", [
1522
- { no: 1, name: "key_id", kind: "scalar", T: 9 /*ScalarType.STRING*/ },
1523
- { no: 2, name: "public_key", kind: "scalar", T: 12 /*ScalarType.BYTES*/ }
1524
- ]);
1525
- }
1526
- create(value?: PartialMessage<IssuerPublicKey>): IssuerPublicKey {
1527
- const message = globalThis.Object.create((this.messagePrototype!));
1528
- message.keyId = "";
1529
- message.publicKey = new Uint8Array(0);
1530
- if (value !== undefined)
1531
- reflectionMergePartial<IssuerPublicKey>(this, message, value);
1532
- return message;
1533
- }
1534
- internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: IssuerPublicKey): IssuerPublicKey {
1535
- let message = target ?? this.create(), end = reader.pos + length;
1536
- while (reader.pos < end) {
1537
- let [fieldNo, wireType] = reader.tag();
1538
- switch (fieldNo) {
1539
- case /* string key_id */ 1:
1540
- message.keyId = reader.string();
1541
- break;
1542
- case /* bytes public_key */ 2:
1543
- message.publicKey = reader.bytes();
1544
- break;
1545
- default:
1546
- let u = options.readUnknownField;
1547
- if (u === "throw")
1548
- throw new globalThis.Error(`Unknown field ${fieldNo} (wire type ${wireType}) for ${this.typeName}`);
1549
- let d = reader.skip(wireType);
1550
- if (u !== false)
1551
- (u === true ? UnknownFieldHandler.onRead : u)(this.typeName, message, fieldNo, wireType, d);
1552
- }
1553
- }
1554
- return message;
1555
- }
1556
- internalBinaryWrite(message: IssuerPublicKey, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter {
1557
- /* string key_id = 1; */
1558
- if (message.keyId !== "")
1559
- writer.tag(1, WireType.LengthDelimited).string(message.keyId);
1560
- /* bytes public_key = 2; */
1561
- if (message.publicKey.length)
1562
- writer.tag(2, WireType.LengthDelimited).bytes(message.publicKey);
1563
- let u = options.writeUnknownFields;
1564
- if (u !== false)
1565
- (u == true ? UnknownFieldHandler.onWrite : u)(this.typeName, message, writer);
1566
- return writer;
1567
- }
1568
- }
1569
- /**
1570
- * @generated MessageType for protobuf message sid.v1.authn.IssuerPublicKey
1571
- */
1572
- export const IssuerPublicKey = new IssuerPublicKey$Type();
1573
- /**
1574
- * @generated ServiceType for protobuf service sid.v1.authn.OidcProviderService
1575
- */
1576
- export const OidcProviderService = new ServiceType("sid.v1.authn.OidcProviderService", [
1577
- { name: "GetProviderMetadata", options: { "google.api.http": { get: "/i/{issuer_handle}/.well-known/openid-configuration", additionalBindings: [{ get: "/.well-known/oauth-authorization-server/i/{issuer_handle}" }] } }, I: IssuerHandleRequest, O: ProviderMetadata },
1578
- { name: "GetJwks", options: { "google.api.http": { get: "/i/{issuer_handle}/jwks" } }, I: IssuerHandleRequest, O: JsonWebKeySet },
1579
- { name: "GetUserInfo", options: { "google.api.http": { get: "/i/{issuer_handle}/userinfo" } }, I: IssuerHandleRequest, O: UserInfo },
1580
- { name: "PostUserInfo", options: { "google.api.http": { post: "/i/{issuer_handle}/userinfo", body: "*" } }, I: IssuerHandleRequest, O: UserInfo },
1581
- { name: "GetAuthorize", options: { "google.api.http": { get: "/i/{issuer_handle}/oauth2/authorize" } }, I: OAuth2AuthorizeRequest, O: HttpBody },
1582
- { name: "PostAuthorize", options: { "google.api.http": { post: "/i/{issuer_handle}/oauth2/authorize", body: "body" } }, I: ProtocolRequest, O: HttpBody },
1583
- { name: "GetEndSession", options: { "google.api.http": { get: "/i/{issuer_handle}/oauth2/end-session" } }, I: EndSessionRequest, O: HttpBody },
1584
- { name: "PostEndSession", options: { "google.api.http": { post: "/i/{issuer_handle}/oauth2/end-session", body: "body" } }, I: ProtocolRequest, O: HttpBody },
1585
- { name: "Token", options: { "google.api.http": { post: "/i/{issuer_handle}/oauth2/token", body: "body" } }, I: ProtocolRequest, O: HttpBody },
1586
- { name: "Introspect", options: { "google.api.http": { post: "/i/{issuer_handle}/oauth2/introspect", body: "body" } }, I: ProtocolRequest, O: HttpBody },
1587
- { name: "Revoke", options: { "google.api.http": { post: "/i/{issuer_handle}/oauth2/revoke", body: "body" } }, I: ProtocolRequest, O: HttpBody },
1588
- { name: "DeviceAuthorization", options: { "google.api.http": { post: "/i/{issuer_handle}/oauth2/device", body: "body" } }, I: ProtocolRequest, O: HttpBody },
1589
- { name: "Register", options: { "google.api.http": { post: "/i/{issuer_handle}/oauth2/register", body: "body" } }, I: ProtocolRequest, O: HttpBody },
1590
- { name: "ReadRegistration", options: { "google.api.http": { get: "/i/{issuer_handle}/oauth2/register/{client_id}" } }, I: RegistrationRequest, O: HttpBody },
1591
- { name: "UpdateRegistration", options: { "google.api.http": { put: "/i/{issuer_handle}/oauth2/register/{client_id}", body: "body" } }, I: RegistrationRequest, O: HttpBody },
1592
- { name: "DeleteRegistration", options: { "google.api.http": { delete: "/i/{issuer_handle}/oauth2/register/{client_id}" } }, I: RegistrationRequest, O: HttpBody }
1593
- ]);
1594
- /**
1595
- * @generated ServiceType for protobuf service sid.v1.authn.OidcIssuerService
1596
- */
1597
- export const OidcIssuerService = new ServiceType("sid.v1.authn.OidcIssuerService", [
1598
- { name: "GetOidcIssuer", options: {}, I: GetOidcIssuerRequest, O: OidcIssuer },
1599
- { name: "GetProtectedResource", options: {}, I: GetProtectedResourceRequest, O: ProtectedResourceTarget }
1600
- ]);